       function init() {
           var lstSugerencia = [
                    'Arrastra las bolsas correspondiente hacia la balanza para equilibrar y ver la respuesta ',
                    'Hacer clic <img src="img/click/clickSugerencia.png" class="imgSugerencia" /> para ver la respuesta',
                    'Arrastra la bola correspondiente hacia la balanza para equilibrar y ver la respuesta ',
                    'Arrastra la bolsa correcta y reemplácela por la X',
                    'Arrastra las esferas a los brazos de la balanza',
                    'Hacer clic <img src="img/click/clickSugerencia.png" class="imgSugerencia" /> en las casillas para indicar la respuesta',
               'Hacer clic <img src="img/click/clickSugerencia.png" class="imgSugerencia" /> en las casillas amarillas  para indicar la respuesta',
               'Hacer clic <img src="img/click/clickSugerencia.png" class="imgSugerencia" /> para indicar la respuesta',
                ];
           //Evento que al momento de pasar a la siguiente pagina cambia la sugerencia
           $('[data-sg-id="btn-page"]').on('click', function () {
               var sugerencia = $('.sugerencia');
               var sugerenciaValue = '';
               $('[data-sg-id="item-page"]:visible').each(function () {
                   var pagekey = $(this).data('sgKey');
                   var groupkey = $(this).data('sgGroup');
                   if (groupkey == 1) {
                       switch (pagekey) {
                       case 1:
                           sugerenciaValue = lstSugerencia[0];
                           break;
                       case 2:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 3:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 4:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 5:
                           sugerenciaValue = lstSugerencia[3];
                           break;
                       case 6:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 7:
                           sugerenciaValue = lstSugerencia[4];
                           break;
                       case 8:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 9:
                           sugerenciaValue = lstSugerencia[5];
                           break;
                       case 10:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 11:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 12:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 13:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 14:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 15:
                           sugerenciaValue = lstSugerencia[6];
                           break;
                       case 16:
                           sugerenciaValue = lstSugerencia[6];
                           break;
                       case 17:
                           sugerenciaValue = lstSugerencia[6];
                           break;
                       case 20:
                           sugerenciaValue = lstSugerencia[7];
                           break;
                       case 21:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 22:
                           sugerenciaValue = lstSugerencia[7];
                           break;
                       case 23:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 24:
                           sugerenciaValue = lstSugerencia[7];
                           break;
                       case 25:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 26:
                           sugerenciaValue = lstSugerencia[7];
                           break;
                       case 27:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 28:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       case 29:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       default:
                           sugerenciaValue = '';
                       }
                   } else if (groupkey == 2) {
                       switch (pagekey) {
                       case 1:
                           sugerenciaValue = lstSugerencia[0];
                           break;
                       case 2:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       default:
                           sugerenciaValue = '';
                       }
                   } else if (groupkey == 3) {
                       switch (pagekey) {
                       case 1:
                           sugerenciaValue = lstSugerencia[2];
                           break;
                       case 2:
                           sugerenciaValue = lstSugerencia[1];
                           break;
                       default:
                           sugerenciaValue = '';
                       }
                   }


                   $(sugerencia).html(sugerenciaValue);
               });
           });


           function validarCantidadBolsas(bolsas, cantidad) {
                   var dragsCounter = 0;
                   $(bolsas).each(function (i, obj) {
                       var dropHit = $(obj).data('hit');

                       if (dropHit) {
                           var drags = $(dropHit).data('dragObjs');
                           if (drags) {
                               dragsCounter++;
                           }
                       }
                   });
                   if (dragsCounter == cantidad) {
                       return true;

                   } else {
                       return false;
                   }

               }
               // movimientoDrag 1 BOLSAS
           sg.setDraggable('.IL_M_G06_U04_L01_03_01_03', {

               success: function () {
                   sg.sound('success');
                   var hit = $(this).data("hit");
                   if (hit) {
                       var dragObjs = hit.data("dragObjs");
                       if (dragObjs) {
                           sg.resetDraggable(sg.splice(dragObjs.concat(), this), true);
                       }
                   }

                   if (validarCantidadBolsas('.IL_M_G06_U04_L01_03_01_03', 3)) {
                       $('#respuestaDrag1').fadeIn();

                   } else {
                       $('#respuestaDrag1').fadeOut();
                   }
               },
               fail: function () {
                   sg.sound('error');
                   var elemento = $(this);
                   var posicion = {
                       'left': '0px',
                       'top': '0px'
                   };
                   elemento.animate(posicion, {
                       queue: false,
                       duration: 800
                   });
                   var hit = $(this).data("hit");
                   if (hit) {
                       var dragObjs = hit.data("dragObjs");
                       if (dragObjs) {
                           sg.resetDraggable(dragObjs.concat(), true);
                       }
                   }
                   if (validarCantidadBolsas('.IL_M_G06_U04_L01_03_01_03', 3)) {
                       $('#respuestaDrag1').fadeIn();

                   } else {
                       $('#respuestaDrag1').fadeOut();
                   }
               },
               dropSelector: '#lstDrpBalanza1 li'
           });

           // movimientoDrag 2 BOLAS
           sg.setDraggable('.bolaX, .bolaY, .bolaA, .bola1', {

               success: function () {
                   sg.sound('success');
                   var hit = $(this).data("hit");
                   if (hit) {
                       var dragObjs = hit.data("dragObjs");
                       if (dragObjs) {
                           sg.resetDraggable(sg.splice(dragObjs.concat(), this), true);
                       }
                   }
                   if (validarCantidadBolsas('.bolaX, .bolaY, .bolaA, .bola1', 1) && $(this).hasClass('bolaX')) {
                       $('#respuestaDrag2').fadeIn();

                   } else {
                       $('#respuestaDrag2').fadeOut();
                   }
               },
               fail: function () {
                   sg.sound('error');
                   var elemento = $(this);
                   var posicion = {
                       'left': '0px',
                       'top': '0px'
                   };
                   elemento.animate(posicion, {
                       queue: false,
                       duration: 800
                   });
                   var hit = $(this).data("hit");
                   if (hit) {
                       var dragObjs = hit.data("dragObjs");
                       if (dragObjs) {
                           sg.resetDraggable(dragObjs.concat(), true);
                       }
                   }

                   if (validarCantidadBolsas('.bolaX, .bolaY, .bolaA, .bola1', 1) && $(elemento).hasClass('bolaX')) {
                       $('#respuestaDrag2').fadeIn();

                   } else {
                       $('#respuestaDrag2').fadeOut();
                   }
               },
               dropSelector: '#lstDrpBalanza2 li'
           });

           //bolsaEstanteria
           sg.setDraggable('.bolsaEstanteria', {

               success: function () {
                   sg.sound('success');

               },
               fail: function () {
                   sg.sound('error');
                   var elemento = $(this);
                   var posicion = {
                       'left': '0px',
                       'top': '0px'
                   };
                   elemento.animate(posicion, {
                       queue: false,
                       duration: 800
                   });
               }
           });

           require(["../../common/js/kit/inputKitComp.js"], function (inputKit) {
               //Validacion Numero casillas azules
               var correctXValues = ['6'];
               $(".tblNumeros2 tr td>div").on('click', function (e) {
                   var pregunta = $(this);
                   var questionKey = parseInt($(pregunta).data('questionKey')) - 1;
                   var answer = $(pregunta).data('answer');
                   $('#answerXValue' + (questionKey + 1)).removeClass('success fail');
                   if (inputKit.check([correctXValues[questionKey]], [answer])) {
                       $('#answerXValue' + (questionKey + 1)).addClass('success').children('div').html(answer);
                       sg.sound("success");
                       $(".tblNumeros2 tr td>div").each(function (i, e) {
                           if ($(e).data('questionKey') === $(pregunta).data('questionKey') && $(e) !== $(pregunta)) {
                               $(e).css({
                                   'cursor': 'default'
                               }).unbind("click");
                           }
                       });

                   } else {
                       $('#answerXValue' + (questionKey + 1)).addClass('fail').children('div').html(answer);
                       sg.sound('error');
                   }

               });


               var correctXValues2 = ['5', '1', '2', '3', '8', '1'];


               //Validacion FV
               $(".tblNumeros tr td>div").on('click', function (e) {
                   var pregunta = $(this);
                   var questionKey = parseInt($(pregunta).data('questionKey')) - 1;
                   var answer = $(pregunta).data('answer');
                   $('#respuesta2_' + (questionKey + 1)).removeClass('success fail');
                   if (inputKit.check([correctXValues2[questionKey]], [answer])) {
                       $('#respuesta2_' + (questionKey + 1)).addClass('success').children('div').html(answer);
                       sg.sound("success");
                       $(".tblNumeros tr td>div").each(function (i, e) {
                           if ($(e).data('questionKey') === $(pregunta).data('questionKey') && $(e) !== $(pregunta)) {
                               $(e).css({
                                   'cursor': 'default'
                               }).unbind("click");
                           }
                       });

                   } else {
                       $('#respuesta2_' + (questionKey + 1)).addClass('fail').children('div').html(answer);
                       sg.sound('error');
                   }

               });


           });

           //bolsaEstanteria
           sg.setDraggable('.esfera', {

               success: function () {
                   sg.sound('success');
                   var hit = $(this).data("hit");
                   if (hit) {
                       var dragObjs = hit.data("dragObjs");
                       if (dragObjs) {
                           sg.resetDraggable(sg.splice(dragObjs.concat(), this), true);
                       }
                   }
               },
               fail: function () {
                   sg.sound('error');
                   var elemento = $(this);
                   var posicion = {
                       'left': '0px',
                       'top': '0px'
                   };
                   elemento.animate(posicion, {
                       queue: false,
                       duration: 800
                   });
               },
               dropSelector: '.drpEsfera'
           });

           //Interactivo que permite validar la respuesta de un questionario con POPup
           $('.lstQuestionario input[type=radio]').on('click', function () {
               var key = $(this).data('sgKey');
               if (key) {
                   $('#closePopup' + key).click();
                   sg.sound('success');
                   var btnPopup = $('[data-sg-id=btn-popup][data-sg-key=' + key + ']');
                   $(btnPopup).siblings().click();
                   $(btnPopup).children('.clickTablaEquivalencias').hide();
                   $(btnPopup).css({
                       'pointer-events': 'none'
                   });
               } else {
                   sg.sound('error');
               }
           });

           //Muestra la estructura de un ecuacion
           $('#showEstructuraEcuacion').on('click', function () {
               $(this).css({
                   'pointer-events': 'none'
               });
               MostrarEstructuraEcuacion(1);

           });
           $('.ocultaEstructuraEcuacion').on('click', function () {
               sg.sound('success-low');
               $('#showEstructuraEcuacion').css({
                   'pointer-events': 'auto'
               });
               sg.fadeOut($('[class*=estructuraEcuacion]'));


           });

           function MostrarEstructuraEcuacion(numero) {
               setTimeout(function () {
                   sg.fadeIn($('.estructuraEcuacion' + numero));
                   sg.sound('success-low');
                   numero++;
                   if (numero <= 5) {
                       MostrarEstructuraEcuacion(numero);
                   } else {
                       return false;
                   }
               }, 1200);

           }
       }